<?php
	global $sep;

	global $mainTitle;




function setIncludes ($string) {
	global $inc_dir;
	
	$inc_dir = $string;

#	printf ("set inc_dir to %s<br />\n", $inc_dir);
}

function setTitle ($string) {
	
	$mainTitle = $string;
}

function includeCSS ($string) {

	
	printf ("<head><link href='%s' rel='stylesheet' type='text/css' /></head>\n", $string);
}


function searchbox ($local_url, $local_label) {

	printf ("<div class='searchbox'>\n");
	printf ("<form method='get' action='http://www.google.com/search'>\n");

	printf ("<input type='text'   name='q' size='15' maxlength='255' value='' />\n");
	printf ("<input type='submit' value='Search' />\n");
	printf ("<input type='radio'  name='sitesearch' value='www.met.reading.ac.uk' /> Met Dept\n");
	printf ("<input type='radio'  name='sitesearch' value='%s' checked /> %s<br />\n", $local_url, $local_label);

	printf ("</form>\n");

	printf ("</div>\n");

}

function new_searchbox ($local_google_string, $local_label, $results_url) {

	printf ("<div class='searchbox'>\n");
	printf ("<div class='searchtext'>\n");
	printf ("<form action='%s' id='searchForm'>\n", $results_url);

  	printf ("<div>");
    	printf ("<input type='hidden' name='cof' value='FORID:10' />\n");
    	printf ("<input type='hidden' name='ie' value='UTF-8' />\n");
    	printf ("<input type='text' name='q' size='12' />\n");
    	printf ("<input type='submit' name='sa' value='Search' />\n");

    	printf ("<input type='radio' name='cx' value='002776433332916559950:98vjocb1yog' /> Met Dept\n");
    	printf ("<input type='radio' name='cx' value='%s' checked /> %s\n", $local_google_string, $local_label);
  	printf ("</div>\n");
	printf ("</form>\n");
	printf ("<script type='text/javascript' src='//www.google.com/cse/brand?form=cse-search-box&lang=en'></script>\n");

	printf ("</div></div>");

}

function email_tab ($email) {

#	prinf ("<div class='emailTab'><a href='mailto:%n.blanchonnet@reading.ac.uk'><span> </span></a></div>\n");

	printf ("<div class='emailTab'><a href=mailto:%s> <span> </span></a></div>\n", $email);

}

function metHeader ($title, $header = "") {

	if ($title == "")
		$title = "Department of Meteorology, University of Reading";

	if (file_exists ($header))
		include $header;
	else	
		include("metphp-header.html");



	printf ("</div>");

	printf ("	<div class='pagelogo'>");
	printf ("		<h2>Department of Meteorology</h2>");
	printf ("	</div>");


	
	printf ("<title>%s</title>\n", $title);
	
}

function metHeaderWide ($title, $header) {

	if ($title == "")
		$title = "Department of Meteorology, University of Reading";
	
	if (file_exists ($header))
		include $header;
	else
		include("metphp-headerwide.html");

	
	printf ("<title>%s</title>\n", $title); 
}


function startPage () {
	printf ("</div>\n");
	printf ("<div class='maincontent'>\n"); 

}

function endPage () {
	printf ("</div\n"); 
}

# Takes a string, and a file. Creates sets the title for the page
# to be the string - then, if the file is found, looks first for a <title> tag
# then for <h1> or <h2> to use as the 2nd part of the title
# Then appends UoR, Dept of Meteorology to the title
function getTitle ($mainTitle, $inc_file) {

	$title = "";
	$line = "";
	$retstring = "";

	if ($inc_file == "") {
		$tmp_file = strrchr ($_SERVER['PHP_SELF'], "/");
		sscanf ($tmp_file, "/%[^.].php", $inc_file);
		$inc_file = sprintf ("%s.inc", $inc_file);
	}

	if (file_exists ($inc_file)) {
		$file=fopen ($inc_file, 'r') or die ("FATAL ERROR : inc file not found");
		$line=fgets ($file);
	}
		
	else {
		$tmp_file = strrchr ($_SERVER['PHP_SELF'], "/");
		sscanf ($tmp_file, "/%[^.].php", $inc_file);
		$inc_file = sprintf ("%s-inc.html", $inc_file);
		if (file_exists ($inc_file)) {
			$file=fopen ($inc_file, 'r') or die ("FATAL ERROR : inc file not found");
			$line=fgets ($file);


		}
			
	}
	
	if ($line) {
		$tag=strtolower (strtok ($line, "<>"));
		$value=strtok ("<>");

		if ($tag=="title") 
			$retstring = sprintf ("%s : %s", $mainTitle, $value);
			
		if (($tag=="h1")||($tag=="h2")) 
			$retstring = sprintf ("%s : %s : UoR, Dept Of Meteorology", $mainTitle, $value);
		
	}
	else
		$retstring = sprintf ("%s: UoR, Dept Of Meteorology", $mainTitle);
		
	
	
	return $retstring;
}


function includeContent ($inc_file="", $type="", $pagetype="maincontent") {


	printf ("</div>\n");

# For now, pagetype is always maincontent - could have different types later..
#	$pagetype = "maincontent";


	printf ("<div class='%s'>\n", $pagetype);

	if ($type != "")
		printf ("<div class='int-banner'><h2>%s</h2></div>\n", $type);
		
	if ($inc_file == "") {
		$tmp_file = strrchr ($_SERVER['PHP_SELF'], "/");
		sscanf ($tmp_file, "/%[^.].php", $inc_file);
		$inc_file = sprintf ("%s-inc.html", $inc_file);
	}

	if (file_exists ($inc_file)) {
		include ($inc_file);
		printf ("</div>\n");
		return;
	}
		
	else {
		$tmp_file = strrchr ($_SERVER['PHP_SELF'], "/");
		sscanf ($tmp_file, "/%[^.].php", $inc_file);
		$inc_file = sprintf ("%s.inc", $inc_file);
		if (file_exists ($inc_file)) 
			include ($inc_file);
			printf ("</div>\n");
			return;
	}

}


function sideMenu ($def_name) {	
# def_name is the filename for the menu definitions
	$sep = '|';
	$b_link= "";

# new version, gets menu_name from current directory...
	$cwd = getcwd();
	$url=$_SERVER["REQUEST_URI"];
	
	printf ("<div class='leftColumn'>\n");
	printf ("<div class='box'>\n");

# open the menu def file
	if (file_exists ($def_name)) {
	  $menu_file = fopen ($def_name, 'r') or die ("FATAL ERROR : $def_name not found");
	  $line=fgets ($menu_file);

	  $tmp_array=explode ($sep, $line);
	  $root=$tmp_array[1];
	
# set current directory from the url, removing http://....
	  $tmp=strpos ($url, trim($root));
	  $c_dir=trim (substr ($url, strlen($root) + $tmp - 1), "/");
	  $tmp_url= trim ($url, "/");
  	  $c_page = trim (strrchr ($tmp_url, "/"), "/");

# extract menu levels from c_dir	
	  $tmp = explode ("/", $c_dir);
	  $top_dir = $tmp[0];
	  $side_dir = "";
	  for ($index=1; $index < count ($tmp); $index++) {
		if (strpos ($tmp[$index], ".") == FALSE)
			$side_dir = $side_dir."/".$tmp[$index];
	  }
	  $side_dir = trim ($side_dir, "/");



# output the style stuff for  the menu	
#	printf ("<br />\n");



	
	  printf ("<h1>Menu</h1>\n");
 
	  printf ("<div class='boxmenu'>\n");
	  printf ("<ul>\n");

# always start with a link back to the Met department home page
#	printf ("<li class='back'><a href='http://www.met.reading.ac.uk'>Meteorology Dept</a></li>\n");

# from c_dir, split by slash to give level1 and level2 menu
	  $tmp_array=explode ("/", $c_dir);
	  $many=count($tmp_array);

# special case - if many is 1, and c_dir contains a dot, must then set c_dir to ""
	  if (($many == 1)&&(strrchr ($c_dir, "."))) 
		$c_dir = "";

	  $c_dir_array=explode ("/", $c_dir);
	  $level1_dir=$c_dir_array[0];
	  $dir_level_count = count ($c_dir_array);

	  if (strpos ($c_dir, ".") !== FALSE) {
		$dir_level_count--;
	  }
	
	  if ($dir_level_count > 1) {
		$level2_dir=$c_dir_array[1];
	  }
			
# find the menu_name in the def_name file
	  $line=fgets ($menu_file);

# now read each line & process
	  $found_sub=0;
	
	  while ($line) {
		# read each line. Explode line into array
		$selected="";
		$line_array=explode ($sep, $line);

		$this_menu=$line_array[0];

		if (count ($line_array) > 2) {
			$b_section = $line_array[0];
			$b_label = $line_array[1];
			$b_link = $line_array[2];
		}


		$tmp_array=explode ("/", $line_array[0]);
		$menu_level_count=count ($tmp_array);

		if ($menu_level_count == 2) {
			$level1_menu = $tmp_array[0];
			$level2_menu = $tmp_array[1];
			$side_menu = $tmp_array[1] . "/" . $line_array[2];
			$side_menu = trim ($side_menu);
		}
		else {
			$level1_menu = $line_array[0];
			$level2_menu = "";
		}

# first, if it's an all item, always show...
		if ($this_menu == 'all')
			printf ("<li class='allitem'><a href='%s/%s'>%s</a></li>\n", $root, $b_link, $b_label);			


# check for sub-menu
#		printf ("dir_level=%d:menu_leve=%d:<br>", $dir_level_count, $menu_level_count);
		if (($dir_level_count > 1)&&($menu_level_count >1)) {
			if (($level2_dir == $level2_menu)&&($level1_dir == $level1_menu)) {
#			if ($level2_dir == $level2_menu) {
# if first item in sub menu, print out new ul to make it a sub-menu
				if (!$found_sub) {
					$found_sub = 1;
					printf ("<ul>\n");
				}

				$menu_url=trim (sprintf ("%s/%s", $level1_menu, $level2_menu));
				if ((trim ($c_page) == trim ($b_link))||($side_dir == $side_menu))
					$selected = "class='level2selected'";
				else
					$selected = "";

# test if the link (b_link) contains a :, then it's an offsite link - so don't add the directory etc to the link
				if (strstr ($b_link, ':') != FALSE)
					printf ("<li><a href='%s'>%s</a></li>\n", $b_link, $b_label);
				else
					printf ("<li %s><a href='%s/%s/%s'>%s</a></li>\n", $selected, $root, $menu_url, $b_link, $b_label);

			}
			
			
		}
		else
				if ($found_sub) {
					printf ("\n</ul>\n</li>\n");
					$found_sub = 0;
				}

		  
		$tmp_array=explode ("/", $c_dir);
		$l_count = count ($tmp_array);

		if ($l_count > 1) {
			$tmp1=trim ($b_link);
			$tmp2=trim ($tmp_array[1]);
			if ($tmp1 == $tmp2 ) {
				$selected="class = 'MenuSelectedArea1'";	
			}
		}
		
		if (($c_page != "") & (trim ($c_page) == trim ($b_link))) {
			$selected="class = 'MenuSelectedArea1'";	
		}
	
# level1 menu
		if (($level1_dir == $level1_menu)&&($menu_level_count == 1)) {

# test if the link (b_link) contains a :, then it's an offsite link - so don't add the directory etc to the link
			if (strstr ($b_link, ':') != FALSE)
				printf ("<li><a href='%s'>%s</a></li>\n", $b_link, $b_label);
			else {
				if ($line_array[0] == "")
					printf ("<li %s><a href='%s/%s'>%s</a></li>\n", $selected, $root, $b_link, $b_label);
				else
		   	  	printf ("<li %s><a href='%s/%s/%s'>%s</a></li>\n", $selected, $root, $b_section, $b_link, $b_label);
			}	

 		}	
		
		$line=fgets ($menu_file);		
	  }


	  printf ("\n</ul>\n");
	  fclose ($menu_file);
	  printf ("</div>\n");


	}
	printf ("</div>\n");
}

function footer ($def_name)
{
	$sep = "|";

# open the menu def file to get the root of the web pages
	$menu_file = fopen ($def_name, 'r') or die ("FATAL ERROR : $def_name not found");

# read first line - contains the root of the menu
	$line=fgets ($menu_file);

	$tmp_array=explode ($sep, $line);
	$root=$tmp_array[1];

        printf ("<div class='footer'>\n");
	
	printf ("<ul>\n");
# contact html > contact.php SRB 13Apr16
	printf (" <li><a href='%s/home/contact.php'>Contact Us</a>&nbsp;&nbsp;|&nbsp;&nbsp;\n", $root);
	printf ("<li><a href='http://www.reading.ac.uk/met/'>Find Us</a>\n");
	
	printf ("</ul>\n");
	printf ("</div>\n"); 
    	printf ("</div></div>");

# add the google stats script
	printf ("\n\n<script type='text/javascript'>\n");

	printf ("var _gaq = _gaq || [];\n");
	printf (" _gaq.push(['_setAccount', 'UA-18854554-1']);\n");
 	printf ("_gaq.push(['_setDomainName', '.reading.ac.uk']);\n");
 	printf ("_gaq.push(['_setAllowHash', false]);\n");
 	printf ("_gaq.push(['_trackPageview']);\n");
	printf ("_gaq.push(['_trackPageLoadTime']);");

 	printf ("(function() {\n");
   printf ("var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;\n");
   printf ("ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';\n");
	printf ("var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);\n");
	printf ("})();\n");

	printf ("</script>\n");
	
}

function big_footer ($def_name)
{
	$sep = "|";

# open the menu def file to get the root of the web pages
	$menu_file = fopen ($def_name, 'r') or die ("FATAL ERROR : $def_name not found");

# read first line - contains the root of the menu
	$line=fgets ($menu_file);

	$tmp_array=explode ($sep, $line);
	$root=$tmp_array[1];

	$line=fgets ($menu_file);
	$tmp_array=explode ($sep, $line);
	$inc_dir=trim ($tmp_array[1]);

	printf ("<div class='big_footer'>\n");

        printf ("<div class='block_1'>\n");
		
	$inc_string = sprintf ("%s/foot1.html", $inc_dir);
        include ($inc_string);
        printf ("</div>\n");

        printf ("<div class='block_2'>\n");
	$inc_string = sprintf ("%s/foot2.html", $inc_dir);
        include ($inc_string);
        printf ("</div>\n");

        printf ("<div class='block_3'>\n");
	$inc_string = sprintf ("%s/foot3.html", $inc_dir);
        include ($inc_string);
        printf ("</div>\n");

	printf ("</div>\n");


# a couple of div ends to tidy things up 
    	printf ("</div></div></div>");

# add the google stats script
	printf ("\n\n<script type='text/javascript'>\n");

	printf ("var _gaq = _gaq || [];\n");
	printf (" _gaq.push(['_setAccount', 'UA-18854554-1']);\n");
 	printf ("_gaq.push(['_setDomainName', '.reading.ac.uk']);\n");
 	printf ("_gaq.push(['_setAllowHash', false]);\n");
 	printf ("_gaq.push(['_trackPageview']);\n");
	printf ("_gaq.push(['_trackPageLoadTime']);");

 	printf ("(function() {\n");
   printf ("var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;\n");
   printf ("ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';\n");
	printf ("var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);\n");
	printf ("})();\n");

	printf ("</script>\n");
	
}


function extras ($extras_file="extras.inc", $title="See also")
{


	if (file_exists ($extras_file)) {
	
	  printf ("<div class='box'>\n");

 
	  printf ("<h1>%s</h1>\n", $title);	

	  printf ("<div class='boxtext'>\n");

	  if ($extras_file == "")
		include ("extras.inc");
		
	  else
		include ($extras_file);
	  printf ("</div>\n");
	
	  printf ("<div class='boxend'>\n");
	  printf ("</div>\n");
	

	  printf ("</div>\n");
	}
}




function topMenu ($def_name) {
	$sep="|";	



#	$menu_name=$_SERVER["argc[1]"];
# Get url of the current page
	$url=$_SERVER["REQUEST_URI"];

# open the menu def file, and see if any top menu definitions are in there
	$top_count = 0;
	if (file_exists ($def_name)) {
#	  printf ("<h1>Def file found");
	  $menu_file = fopen ($def_name, 'r') or die ("ERROR : $def_name not found");
	  $line=fgets ($menu_file);
	  while ($line) {
		$line_array=explode ($sep, $line);
		if ($line_array[0] == "top") 
			$top_count++;
		$line=fgets ($menu_file);
	  }		

	}
	fclose ($menu_file);

	if ($top_count == 0) {
		printf ("</div><div class='content'>\n");

		return;
	}
	
# open the menu def file

	if (file_exists ($def_name)) {
	  $menu_file = fopen ($def_name, 'r') or die ("ERROR : $def_name not found");

# read first line - contains the root of the menu
	  $line=fgets ($menu_file);

	  $tmp_array=explode ($sep, $line);
	  $root=$tmp_array[1];
	  $tmp=strpos ($url, trim($root));

# extract the part of the url after the root - used to find which
# menu item to highlight later.
	  $c_dir=trim (substr ($url, strlen($root) + $tmp - 1), "/");

	  printf ("<div class='topnav'>\n");
	  printf ("<ul>\n");		
	
# now read each line & process
	  while ($line) {

		$line=fgets ($menu_file);
		$line_array=explode ($sep, $line);
		$many=count($line_array);

# only process lines which start with top 
		if ($line_array[0] != "top")
			continue;

		if ($many < 2)
			continue;

		if ($line_array[0] == "sep") {
			continue;
		}

# Display the 'top' items highlighting the c_dir item
		$class="";
		$current_top="";
		$button_text = $line_array[1];
		$link= trim ($line_array[2]);

		$tmp_array=explode ("/", $c_dir);
		if ($link == $tmp_array[0]) {
			$class=" class='active'";
			$top_current=$link;
		}

			
		if ($many == 3) 
			printf ("<li %s><a href='%s/%s'>%s</a></li>\n", $class, $root, $link, $button_text);
		if ($many == 4)
			printf ("<li><a href='%s%s'>%s</a></li>\n", $link, $line_array[3], $button_text);

				
	  }
	  printf ("\n</ul>\n");

	  fclose ($menu_file);
#	printf ("</div>\n");
          printf ("</div>\n");
	}

	
	printf ("</div><div class='content'>\n");


}


?>
