<?php



function header_image ($image_dir, $ext="jpg") {
 	
	$URL = $_SERVER['REQUEST_URI'];

	$url_strings = explode ("/", $URL);
	$dirname = $url_strings[1];

	$img_file = sprintf ("%s/%s.%s", $image_dir, $dirname, $ext);

	$check = sprintf ("./%s", $img_file);

	if (file_exists ($check)) 
		printf ("<img src='%s'>", $img_file);
	
	else {
		$img_file = sprintf ("%s/default.%s", $image_dir, $ext);
		$check = sprintf ("./%s", $img_file);
		if (file_exists ($check)) 
			printf ("<img src='%s'>", $img_file);
	}
}

function php_album ($config_file) {

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR (php_album) : config file not found");

	printf ("<div class='album'>\n");
        printf ("<div class='tabs'>\n");
        printf ("<ul>\n");


        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n\n<li><a href='#%s'>%s</a></li>\n", $tag, $label);

        }
        printf ("</ul>");

        fclose ($file);

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n<div><h3 id='%s'>%s</h3>\n", $tag, $label);

                printf ("\n<p class='caption'><a href='%s'>%s<span>Find out more</span></a></p>", $link, $caption);

                printf ("\n<a href='%s'><img src='%s' height='275' width='796'></a></div>", $link, $image);

        }

        printf ("\n<script src='/php/tab-album.js'></script>"); 

        printf ("</div></div>");

        fclose ($file);
}


function album_widget ($config_file) {

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR (album_widget) : config file not found");

        printf ("<div class='tabs'>\n");
        printf ("<ul>\n");


        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n\n<li><a href='#%s'>%s</a></li>\n", $tag, $label);

        }
        printf ("</ul>");

        fclose ($file);

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n<div><h3 id='%s'>%s</h3>\n", $tag, $label);

                printf ("\n<p class='caption'><a href='%s'>%s<span>Find out more</span></a></p>", $link, $caption);

                printf ("\n<a href='%s'><img src='%s' height='275' width='796'></a></div>", $link, $image);

        }

        printf ("\n<script src='/php/tab-album.js'></script>"); 

        printf ("</div>");

        fclose ($file);
}

function album ($config_file) {

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

	printf ("<div class='tabalbum'>");
        printf ("<div class='tabs'>\n");

        fclose ($file);

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n<div><h3 id='%s'>%s</h3>\n", $tag, $label);

                printf ("\n<p class='caption'><a href='%s'>%s<span>Find out more</span></a></p>", $link, $caption);

                printf ("\n<a href='%s'><img src='%s' height='275' width='796'></a></div>", $link, $image);

        }

        printf ("\n<script src='/php/tab-album.js'></script>"); 

        printf ("</div></div>");

        fclose ($file);
}




function tab_album ($config_file) {

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

	printf ("<div class='tabalbum'>");
        printf ("<div class='tabs'>\n");
        printf ("<ul>\n");


        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n\n<li><a href='#%s'>%s</a></li>\n", $tag, $label);

        }
        printf ("</ul>");

        fclose ($file);

        $file = fopen ($config_file, 'r') or die ("FATAL ERROR : file not found");

        while ($line = fscanf ($file, "%[^|]|%[^|]|%[^|]|%[^|]|%[^|]\n")) {
          list ($tag, $label, $caption, $link, $image) = $line;

                printf ("\n<div><h3 id='%s'>%s</h3>\n", $tag, $label);

                printf ("\n<p class='caption'><a href='%s'>%s<span>Find out more</span></a></p>", $link, $caption);

                printf ("\n<a href='%s'><img src='%s' height='275' width='796'></a></div>", $link, $image);

        }

        printf ("\n<script src='/php/tab-album.js'></script>"); 

        printf ("</div></div>");

        fclose ($file);
}


function kis_widget ($code) {

	$tmp = file_get_contents ("/export/webbie/php/kis-widget.txt");

	echo $tmp;
	
	printf ("<div class='kis-widget'\n");
	printf ("data-institution='10007802'\n");
	printf ("data-course='%s'\n", $code);
	printf ("data-orientation'vertical'\n");
	printf ("data-size='small'\n");
	printf ("data-language='en-GB'></div>\n"); 

}


function centaur ($email) {


	if (strpos ($email, "@")) {
		$tmp = str_replace (".", "=2E", $email);
		$tmp2 = str_replace ("@", "=40", $tmp);
		$string = str_replace ("-", "=2D", $tmp2);
		$fullpath = sprintf ("http://centaur.reading.ac.uk/view/creators_cv/%s.include", $string);
	
		printf ("<h1>Publications for %s</h1>\n", $email);
#		$output = file_get_contents ($fullpath);
#		echo $fullpath;
#		echo $ouptut;

		include ($fullpath);
# 		printf ("<iframe width='600' src='http://centaur.reading.ac.uk/view/creators_cv/%s.include'></iframe>", $string); 
	
#     		printf ("<!--#exec cmd=\"/export/webbie/cgi-bin/ksh_wget.cgi 'http://centaur.reading.ac.uk/view/creators_cv/%s.include'\" -->", $string);
	}
	else 
		printf ("<h1>ERROR : invalid e-mail address</h1>");

}

function centaur_simple ($email) {


	if (strpos ($email, "@")) {
		$tmp = str_replace (".", "=2E", $email);
		$string = str_replace ("@", "=40", $tmp);
		
      		printf ("<!--#exec cmd=\"/export/webbie/cgi-bin/ksh_wget.cgi 'http://centaur.reading.ac.uk/view/creators_cv/%s.include'\" -->", $string);
	}
	else 
		printf ("<h1>ERROR : invalid e-mail address</h1>");

}


function centaur_test ($email) {

	printf ("<h1>testing testing....</h1>");

	printf ("<!--#exec cmd=\"/export/webbie/cgi-bin/ksh_wget.cgi 'http://centaur.reading.ac.uk/view/creators_cv/a=2Ej=2Echarlton=40reading=2Eac=2Euk.include'\" -->");

}

function showtwitter ($name, $manyitems=3) {

	printf ("<div id='twitter_div'>\n");
	printf ("<ul id='twitter_update_list'></ul>\n");
	printf ("<a href='http://twitter.com/%s' id='twitter-link' style='display:block;text-align:right;'>follow me on Twitter</a>\n", $name);
	printf ("</div>\n");
	printf ("<script type='text/javascript' src='http://twitter.com/javascripts/blogger.js'></script>\n");
	printf ("<script type='text/javascript' src='http://twitter.com/statuses/user_timeline/%s.json?callback=twitterCallback2&amp;count=%d'></script>\n", $name, $manyitems);

}



function show_elist ($listname) {
	
	printf ("<h1>%s</h1>\n", $listname);

	echo "<pre>";
	$filename = sprintf ("/export/webbie/users/public/mailaliases/%s.ali", $listname);

	include ($filename);

}

function UoRBlog ($name, $maxitems=5, $template="rss-template.html") {

	printf ("<!--#include virtual=\"/rss/rssfeed.php?XMLFILE=http://blogs.reading.ac.uk/%s/feed/&MAXITEMS=%d&TEMPLATE=%s\" -->", $name, $maxitems, $template);

}

function externalrss ($name, $maxitems, $template="rss-template.html") {

	printf ("<!--#include virtual=\"/rss/rssfeed.php?XMLFILE=%s&MAXITEMS=%d&TEMPLATE=%s\" -->", $name, $maxitems, $template);
}

function showrss ($uname) {

	printf ("<h2>%s</h2>\n", $uname);

	printf ("<!--#include virtual=\"/rss/rssfeed.php?XMLFILE=http://www.met.reading.ac.uk/rss/feeds/%s.xml\" -->", $uname);

}

function execrss ($name, $maxitems, $template="rss-template.html") {

	$string = sprintf ("php -f /rss/rssfeed.php?XMLFILE=%s&MAXITEMS=%d&TEMPLATE=%rss-template.html\" -->", $name, $maxitems);
	printf ("Loading feed....%s", $string);
	echo exec ("php --version");	
	echo exec ($string);

}

function rssfeed ($name, $maxitems, $template="rss-template.html") {

	
#	if ($maxitems == "")
#		$maxitems = 0;

#	$string = sprintf ("/rss/rssfeed.php?XMLFILE=%s&MAXITEMS=%d&TEMPLATE=%rss-template.html\" -->", $name, $maxitems);
#	printf ("Loading feed....%s", $string);
#	exec ($string);
	

	printf ("<!--#include virtual=\"/rss/rssfeed.php?XMLFILE=http://www.met.reading.ac.uk/%s&MAXITEMS=%d&TEMPLATE=%s\" -->", $name, $maxitems, $template);
#	printf ("<h1>XMLFILE=%s?MAXITEMS=%d</h1>", $name, $maxitems);

}

function remote_rssfeed ($name, $maxitems=10, $template="rss-template.html") {

	printf ("<!--#include virtual=\"/rss/rssfeed.php?XMLFILE=%s&MAXITEMS=%d&TEMPLATE=%s\" -->", $name, $maxitems, $template);

}


function showlist ($name) {

	$filename = sprintf ("/export/webbie/users/public/mailaliases/%s.ali", $name);

	printf ("<h2>List: %s</h2>\n", $filename);

	printf ("<pre>\n");
	include ($filename);
	printf ("</pre>\n");

}

function calendar ($uname, $calname, $title) {

	printf ("<h2>%s</h2>\n", $title);
	echo "<iframe src='http://cdn.instantcal.com/cvir.html?id=cv_nav5&file=http%3A%2F%2F";
	echo "www.met.reading.ac.uk%2F~";
	echo $uname, "%2F", $calname;
	echo "&theme=XGR&ccolor=%23ffffc0&dims=1&gtype=cv_monthgrid&gcloseable=0";
	echo "&gnavigable=1&gperiod=month&itype=cv_simpleevent' allowTransparency=true scrolling='no' ";
	echo "frameborder=0 height=600 width=700></iframe>";

}

function google_calendar ($name) {

	echo "<iframe src='https://www.google.com/calendar/embed?height=600&amp;wkst=2&amp;bgcolor=%23ffffff&amp;";
	printf ("src=%s", $name);
	echo "%40googlemail.com&amp;color=%231B887A&amp;ctz=Europe%2FLondon' style=' border-width:0 ' width='700' height='600' frameborder='0' scrolling='no'></iframe>";

}




?>
